import { http } from '../request/request'

/**
 * 家长端-电子保修卡信息
 * @param data 请求参数
 */
export const getWarrantyCardMsgApi = async () =>
  await http.get<any>('/parentBind/getBindDeviceList')

/**
 * 家长端-申请售后
 * @param data 请求参数
 */
export const applyServiceApi = async (data: any) =>
  await http.post<any>('/deviceWarrantyRecord', data)

/**
 * 家长端-查询售后历史
 * @param data 请求参数
 */
export const getServiceHistoryApi = async (params: any) =>
  await http.get<any>('/deviceWarrantyRecord/list', params)
